com.genesyslab.wfm8.API.service.calendar800

## Class CalAgentPatterns

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar800.CalAgentPatterns

- All Implemented Interfaces:
    java.io.Serializable

      public class CalAgentPatterns
      extends java.lang.Object
      implements java.io.Serializable

  Agent Availability Patterns
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `agentId` Agent ID
    `protected java.util.List<CalAvailabilityPatternHeader>` | `headers` Agent Availability pattern header array contains name of the pattern
    `protected int` | `headersArraySize`
    `private static long` | `serialVersionUID`
    `protected java.util.List<CalAvailabilityPatternWeek>` | `weekPatterns` Availability weekly pattern specifies Agent availability for each week day
    `protected int` | `weekPatternsArraySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalAgentPatterns()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getAgentId()` Gets the agentId value for this CalAgentPatterns.
    `java.util.List<CalAvailabilityPatternHeader>` | `getHeaders()` Gets the headers value for this CalAgentPatterns.
    `int` | `getHeadersArraySize()` Gets the headersArraySize value for this CalAgentPatterns.
    `java.util.List<CalAvailabilityPatternWeek>` | `getWeekPatterns()` Gets the weekPatterns value for this CalAgentPatterns.
    `int` | `getWeekPatternsArraySize()` Gets the weekPatternsArraySize value for this CalAgentPatterns.
    `int` | `hashCode()`
    `void` | `setAgentId(int agentId)` Sets the agentId value for this CalAgentPatterns.
    `void` | `setHeaders(java.util.List<CalAvailabilityPatternHeader> headers)` Sets the headers value for this CalAgentPatterns.
    `void` | `setHeadersArraySize(int headersArraySize)` Sets the headersArraySize value for this CalAgentPatterns.
    `void` | `setWeekPatterns(java.util.List<CalAvailabilityPatternWeek> weekPatterns)` Sets the weekPatterns value for this CalAgentPatterns.
    `void` | `setWeekPatternsArraySize(int weekPatternsArraySize)` Sets the weekPatternsArraySize value for this CalAgentPatterns.
    `java.lang.String` | `toString()`
    `CalAgentPatterns` | `withAgentId(int value)`
    `CalAgentPatterns` | `withHeaders(CalAvailabilityPatternHeader... values)`
    `CalAgentPatterns` | `withHeaders(java.util.Collection<CalAvailabilityPatternHeader> values)`
    `CalAgentPatterns` | `withHeadersArraySize(int value)`
    `CalAgentPatterns` | `withWeekPatterns(CalAvailabilityPatternWeek... values)`
    `CalAgentPatterns` | `withWeekPatterns(java.util.Collection<CalAvailabilityPatternWeek> values)`
    `CalAgentPatterns` | `withWeekPatternsArraySize(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### agentId

          protected int agentId

      Agent ID

    - #### headersArraySize

          protected int headersArraySize

    - #### headers

          protected java.util.List<CalAvailabilityPatternHeader> headers

      Agent Availability pattern header array contains name of the pattern

    - #### weekPatternsArraySize

          protected int weekPatternsArraySize

    - #### weekPatterns

          protected java.util.List<CalAvailabilityPatternWeek> weekPatterns

      Availability weekly pattern specifies Agent availability for each week day

  - ### Constructor Detail

    - #### CalAgentPatterns

          public CalAgentPatterns()

  - ### Method Detail

    - #### getAgentId

          public int getAgentId()

      Gets the agentId value for this CalAgentPatterns.
      Returns:
        agentId Agent ID

    - #### setAgentId

          public void setAgentId(int agentId)

      Sets the agentId value for this CalAgentPatterns.
      Parameters:
        `agentId` - Agent ID

    - #### getHeadersArraySize

          public int getHeadersArraySize()

      Gets the headersArraySize value for this CalAgentPatterns.
      Returns:
        headersArraySize

    - #### setHeadersArraySize

          public void setHeadersArraySize(int headersArraySize)

      Sets the headersArraySize value for this CalAgentPatterns.
      Parameters:
        `headersArraySize` -

    - #### getHeaders

          public java.util.List<CalAvailabilityPatternHeader> getHeaders()

      Gets the headers value for this CalAgentPatterns.
      Returns:
        headers

    - #### setHeaders

          public void setHeaders(java.util.List<CalAvailabilityPatternHeader> headers)

      Sets the headers value for this CalAgentPatterns.
      Parameters:
        `headers` -

    - #### getWeekPatternsArraySize

          public int getWeekPatternsArraySize()

      Gets the weekPatternsArraySize value for this CalAgentPatterns.
      Returns:
        weekPatternsArraySize

    - #### setWeekPatternsArraySize

          public void setWeekPatternsArraySize(int weekPatternsArraySize)

      Sets the weekPatternsArraySize value for this CalAgentPatterns.
      Parameters:
        `weekPatternsArraySize` -

    - #### getWeekPatterns

          public java.util.List<CalAvailabilityPatternWeek> getWeekPatterns()

      Gets the weekPatterns value for this CalAgentPatterns.
      Returns:
        weekPatterns

    - #### setWeekPatterns

          public void setWeekPatterns(java.util.List<CalAvailabilityPatternWeek> weekPatterns)

      Sets the weekPatterns value for this CalAgentPatterns.
      Parameters:
        `weekPatterns` -

    - #### withHeaders

          public CalAgentPatterns withHeaders(java.util.Collection<CalAvailabilityPatternHeader> values)

    - #### withHeaders

          public CalAgentPatterns withHeaders(CalAvailabilityPatternHeader... values)

    - #### withHeadersArraySize

          public CalAgentPatterns withHeadersArraySize(int value)

    - #### withWeekPatterns

          public CalAgentPatterns withWeekPatterns(java.util.Collection<CalAvailabilityPatternWeek> values)

    - #### withWeekPatterns

          public CalAgentPatterns withWeekPatterns(CalAvailabilityPatternWeek... values)

    - #### withWeekPatternsArraySize

          public CalAgentPatterns withWeekPatternsArraySize(int value)

    - #### withAgentId

          public CalAgentPatterns withAgentId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.